Package com.norconex.commons.lang.event

# Class Event.EventBuilder<C extends Event,B extends Event.EventBuilder<C,B>>

java.lang.Object
com.norconex.commons.lang.event.EventObjectAdapter.EventObjectAdapterBuilder<C,B>
com.norconex.commons.lang.event.Event.EventBuilder<C,B>

Enclosing class:
  `Event`

public abstract static class Event.EventBuilder<C extends Event,B extends Event.EventBuilder<C,B>> extends com.norconex.commons.lang.event.EventObjectAdapter.EventObjectAdapterBuilder<C,B>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract C`
  `build()`
  `B`
  `exception(Throwable exception)`
  The exception associated with this event, or `null`.
  `B`
  `message(String message)`
  A message describing the event or giving precision, or `null` if the event has no message.
  `B`
  `name(@NonNull String name)`
  The event name (never `null`).
  `protected abstract B`
  `self()`
  `String`
  `toString()`

  ### Methods inherited from class com.norconex.commons.lang.event.EventObjectAdapter.EventObjectAdapterBuilder

  `source`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventBuilder

    public EventBuilder()

- ## Method Details

  - ### name

    public B name(@NonNull @NonNull String name)
    The event name (never `null`).
    Returns:
      `this`.

  - ### message

    public B message(String message)
    A message describing the event or giving precision, or `null` if the event has no message.
    Returns:
      `this`.

  - ### exception

    public B exception(Throwable exception)
    The exception associated with this event, or `null`.
    Returns:
      `this`.

  - ### self

    protected abstract B self()
    Specified by:
      `self` in class `com.norconex.commons.lang.event.EventObjectAdapter.EventObjectAdapterBuilder<C extends Event,B extends Event.EventBuilder<C,B>>`

  - ### build

    public abstract C build()
    Specified by:
      `build` in class `com.norconex.commons.lang.event.EventObjectAdapter.EventObjectAdapterBuilder<C extends Event,B extends Event.EventBuilder<C,B>>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`